Delete knowledge bases/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/knowledge-bases/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-bases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}KnowledgeBases
Delete knowledge bases/item
From api/v1/knowledge_bases#destroy in voice_saas_api. Fields come from that action’s strong params / params usage.
DELETE
/
api
/
v1
/
knowledge-bases
/
{id}
Delete knowledge bases/item
curl --request DELETE \
--url https://api.callaro.ai/api/v1/knowledge-bases/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-bases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-bases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"publication_status": "<string>",
"processing_status": "<string>",
"unpublished_changes": "<string>",
"slug": "<string>",
"summary_char_limit": 123,
"summary_model_provider": "<string>",
"summary_model_name": "<string>",
"summary_version": "<string>",
"prompt_summary_status": "<string>",
"prompt_summary_generated_at": "<string>",
"last_source_change_at": "<string>",
"can_publish": "<string>",
"publish_blockers": "<string>",
"latest_summary_generation": "<string>",
"source_count": 123,
"document_count": 123,
"block_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?